Index: npl/perl/perlmod_IO_Socket_SSL/buildmods.md5
===================================================================
--- npl/perl/perlmod_IO_Socket_SSL/buildmods.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_IO_Socket_SSL/buildmods.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,6 @@
+d16978ec2b23558032a27d2aa43dbc7a  ./buildmods.SlackBuild
+d8ae4a2243c11f5b9dc9cef9acce59ee  ./buildmods.SlackBuild.log.gz
+0e329d3ce11563a27d70d63ad09ed5e9  ./IO-Socket-SSL-2.059.tar.gz
+e91acf0a800b190d13585a47de775bdd  ./IO-stringy-2.111.tar.gz
+ebecf8c8cdce8d82cd085cb914060ee1  ./perlmod_IO_Socket_SSL.pkg
+7249588c27ac98f074418727437b1418  ./perlmod_IO_stringy.pkg
Index: npl/perl/perlmod_IO_Socket_SSL/perlmod_IO_Socket_SSL.arch
===================================================================
--- npl/perl/perlmod_IO_Socket_SSL/perlmod_IO_Socket_SSL.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_IO_Socket_SSL/perlmod_IO_Socket_SSL.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_IO_Socket_SSL/perlmod_IO_Socket_SSL.build
===================================================================
--- npl/perl/perlmod_IO_Socket_SSL/perlmod_IO_Socket_SSL.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_IO_Socket_SSL/perlmod_IO_Socket_SSL.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+5658
Index: npl/perl/perlmod_IO_Socket_SSL/perlmod_IO_Socket_SSL.version
===================================================================
--- npl/perl/perlmod_IO_Socket_SSL/perlmod_IO_Socket_SSL.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_IO_Socket_SSL/perlmod_IO_Socket_SSL.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2.059
Index: npl/perl/perlmod_IO_Wrap/perlmod_IO_Wrap.SlackBuild
===================================================================
--- npl/perl/perlmod_IO_Wrap/perlmod_IO_Wrap.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_IO_Wrap/perlmod_IO_Wrap.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_IO_Wrap/perlmod_IO_Wrap.depver
===================================================================
--- npl/perl/perlmod_IO_Wrap/perlmod_IO_Wrap.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_IO_Wrap/perlmod_IO_Wrap.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_IO_Wrap/perlmod_IO_Wrap.md5
===================================================================
--- npl/perl/perlmod_IO_Wrap/perlmod_IO_Wrap.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_IO_Wrap/perlmod_IO_Wrap.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+e91acf0a800b190d13585a47de775bdd  ./IO-stringy-2.111.tar.gz
+248bcb8341e9d7437a765ea13aaab143  ./perlmod_IO_stringy.pkg
+0fb5f4fcb61317ff8fcf2678bf7bfd0c  ./perlmod_IO_Wrap.SlackBuild
+e50b73b5428d5f9768f51db23ef220b8  ./perlmod_IO_Wrap.SlackBuild.log.gz
Index: npl/perl/perlmod_IO_Wrap/perlmod_IO_stringy.arch
===================================================================
--- npl/perl/perlmod_IO_Wrap/perlmod_IO_stringy.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_IO_Wrap/perlmod_IO_stringy.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_IO_Wrap/perlmod_IO_stringy.build
===================================================================
--- npl/perl/perlmod_IO_Wrap/perlmod_IO_stringy.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_IO_Wrap/perlmod_IO_stringy.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_IO_Wrap/perlmod_IO_stringy.version
===================================================================
--- npl/perl/perlmod_IO_Wrap/perlmod_IO_stringy.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_IO_Wrap/perlmod_IO_stringy.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2.111
Index: npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.SlackBuild
===================================================================
--- npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,35 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_Parse_RecDescent
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	 
+	 
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.arch
===================================================================
--- npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.build
===================================================================
--- npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.depver
===================================================================
--- npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,2 @@
+perl	1
+perlmod_Parse_RecDescent	0
Index: npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.md5
===================================================================
--- npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+b813cfd79a7cab4e886d9caa94991502  ./Mail-IMAPClient-3.39.tar.gz
+152e66dca73cec431a764312dd65e11c  ./perlmod_Mail_IMAPClient.pkg
+cc2f999667f0b092eb52bfd92b7a1458  ./perlmod_Mail_IMAPClient.SlackBuild
+8d54bea4bcca0f4a7dd82bf1810669aa  ./perlmod_Mail_IMAPClient.SlackBuild.log.gz
Index: npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.version
===================================================================
--- npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Mail_IMAPClient/perlmod_Mail_IMAPClient.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+3.39
Index: npl/perl/perlmod_Module_Build/perlmod_Module_Build.SlackBuild
===================================================================
--- npl/perl/perlmod_Module_Build/perlmod_Module_Build.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Module_Build/perlmod_Module_Build.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,35 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_inc_latest
+#DEP:perlmod_Test_Simple
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+#	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Module_Build/perlmod_Module_Build.arch
===================================================================
--- npl/perl/perlmod_Module_Build/perlmod_Module_Build.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Module_Build/perlmod_Module_Build.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Module_Build/perlmod_Module_Build.build
===================================================================
--- npl/perl/perlmod_Module_Build/perlmod_Module_Build.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Module_Build/perlmod_Module_Build.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_Module_Build/perlmod_Module_Build.depver
===================================================================
--- npl/perl/perlmod_Module_Build/perlmod_Module_Build.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Module_Build/perlmod_Module_Build.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,3 @@
+perl	1
+perlmod_inc_latest	0
+perlmod_Test_Simple	0
Index: npl/perl/perlmod_Module_Build/perlmod_Module_Build.md5
===================================================================
--- npl/perl/perlmod_Module_Build/perlmod_Module_Build.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Module_Build/perlmod_Module_Build.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+b74c2f6e84b60aad3a3defd30b6f0f4d  ./Module-Build-0.4224.tar.gz
+b44780dfc2858ae70da01e59ab215a4f  ./perlmod_Module_Build.pkg
+57a1797f9582d8f1a434656fe5e08481  ./perlmod_Module_Build.SlackBuild
+b348d2ef6ff363abb89b18f6c7eea733  ./perlmod_Module_Build.SlackBuild.log.gz
Index: npl/perl/perlmod_Module_Build/perlmod_Module_Build.version
===================================================================
--- npl/perl/perlmod_Module_Build/perlmod_Module_Build.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Module_Build/perlmod_Module_Build.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.4224
Index: npl/perl/perlmod_PHP_Serialization/perlmod_PHP_Serialization.SlackBuild
===================================================================
--- npl/perl/perlmod_PHP_Serialization/perlmod_PHP_Serialization.SlackBuild	(revision 2ac003979fdc25693068e66d24ebd60aec5fc3e8)
+++ npl/perl/perlmod_PHP_Serialization/perlmod_PHP_Serialization.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,4 +1,4 @@
 #!/bin/bash
-#NEED:perl
+#DEP:perl
 
 #Standaard script voor Syn-3 perlmodules.
Index: npl/perl/perlmod_PHP_Serialization/perlmod_PHP_Serialization.build
===================================================================
--- npl/perl/perlmod_PHP_Serialization/perlmod_PHP_Serialization.build	(revision 2ac003979fdc25693068e66d24ebd60aec5fc3e8)
+++ npl/perl/perlmod_PHP_Serialization/perlmod_PHP_Serialization.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,1 +1,1 @@
-4996
+4997
Index: npl/perl/perlmod_PHP_Serialization/perlmod_PHP_Serialization.depver
===================================================================
--- npl/perl/perlmod_PHP_Serialization/perlmod_PHP_Serialization.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_PHP_Serialization/perlmod_PHP_Serialization.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_PHP_Serialization/perlmod_PHP_Serialization.md5
===================================================================
--- npl/perl/perlmod_PHP_Serialization/perlmod_PHP_Serialization.md5	(revision 2ac003979fdc25693068e66d24ebd60aec5fc3e8)
+++ npl/perl/perlmod_PHP_Serialization/perlmod_PHP_Serialization.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,4 +1,4 @@
+a8416678f9e20fec596705acc91fceb8  ./perlmod_PHP_Serialization.pkg
+bb09aab114319f065c06c58695e2f447  ./perlmod_PHP_Serialization.SlackBuild
+b74399d67812d53af7d079288442b138  ./perlmod_PHP_Serialization.SlackBuild.log.gz
 0c9a1dcd9ca3f9424f4d5caa5742c3a6  ./PHP-Serialization-0.33.tar.gz
-b94aedcef54a43a16d70cb7de8d55f01  ./perlmod_PHP_Serialization.SlackBuild
-e998c245bdb09f6cb196333e0a63de23  ./perlmod_PHP_Serialization.SlackBuild.log.gz
-f66cfea9196e6ab1a60f871e6efe898e  ./perlmod_PHP_Serialization.pkg
Index: npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.SlackBuild
===================================================================
--- npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.arch
===================================================================
--- npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.build
===================================================================
--- npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.depver
===================================================================
--- npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.md5
===================================================================
--- npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+7a36d45d62a9b68603edcdbd276006cc  ./Parse-RecDescent-1.967015.tar.gz
+1cd3ba2fc33223749f802bd3e46dc5e4  ./perlmod_Parse_RecDescent.pkg
+0fb5f4fcb61317ff8fcf2678bf7bfd0c  ./perlmod_Parse_RecDescent.SlackBuild
+5722fccef81b73ed88b09659fde2fedd  ./perlmod_Parse_RecDescent.SlackBuild.log.gz
Index: npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.version
===================================================================
--- npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Parse_RecDescent/perlmod_Parse_RecDescent.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1.967015
Index: npl/perl/perlmod_SUPER/perlmod_SUPER.SlackBuild
===================================================================
--- npl/perl/perlmod_SUPER/perlmod_SUPER.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_SUPER/perlmod_SUPER.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,34 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_Sub_Identify
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_SUPER/perlmod_SUPER.arch
===================================================================
--- npl/perl/perlmod_SUPER/perlmod_SUPER.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_SUPER/perlmod_SUPER.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_SUPER/perlmod_SUPER.build
===================================================================
--- npl/perl/perlmod_SUPER/perlmod_SUPER.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_SUPER/perlmod_SUPER.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_SUPER/perlmod_SUPER.depver
===================================================================
--- npl/perl/perlmod_SUPER/perlmod_SUPER.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_SUPER/perlmod_SUPER.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,2 @@
+perl	1
+perlmod_Sub_Identify	0
Index: npl/perl/perlmod_SUPER/perlmod_SUPER.md5
===================================================================
--- npl/perl/perlmod_SUPER/perlmod_SUPER.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_SUPER/perlmod_SUPER.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+5d4afa264cd1e429d13f3fdcbc5b8690  ./perlmod_SUPER.pkg
+68260b56bf046286284ed410b6ff436f  ./perlmod_SUPER.SlackBuild
+4af51920206b3efe5739d161780df3dc  ./perlmod_SUPER.SlackBuild.log.gz
+51076638f973c02cb9e5828dce85010e  ./SUPER-1.20141117.tar.gz
Index: npl/perl/perlmod_SUPER/perlmod_SUPER.version
===================================================================
--- npl/perl/perlmod_SUPER/perlmod_SUPER.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_SUPER/perlmod_SUPER.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1.20141117
Index: npl/perl/perlmod_SubUplevel/perlmod_SubUplevel.SlackBuild
===================================================================
--- npl/perl/perlmod_SubUplevel/perlmod_SubUplevel.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_SubUplevel/perlmod_SubUplevel.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_SubUplevel/perlmod_SubUplevel.depver
===================================================================
--- npl/perl/perlmod_SubUplevel/perlmod_SubUplevel.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_SubUplevel/perlmod_SubUplevel.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_SubUplevel/perlmod_SubUplevel.md5
===================================================================
--- npl/perl/perlmod_SubUplevel/perlmod_SubUplevel.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_SubUplevel/perlmod_SubUplevel.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+a287aef196e770b87399b07746776784  ./perlmod_Sub_Uplevel.pkg
+0fb5f4fcb61317ff8fcf2678bf7bfd0c  ./perlmod_SubUplevel.SlackBuild
+f164f7a2c8ebe75c348dce838eb63068  ./perlmod_SubUplevel.SlackBuild.log.gz
+6c6a174861fd160e8d5871a86df00baf  ./Sub-Uplevel-0.2800.tar.gz
Index: npl/perl/perlmod_SubUplevel/perlmod_Sub_Uplevel.arch
===================================================================
--- npl/perl/perlmod_SubUplevel/perlmod_Sub_Uplevel.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_SubUplevel/perlmod_Sub_Uplevel.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_SubUplevel/perlmod_Sub_Uplevel.build
===================================================================
--- npl/perl/perlmod_SubUplevel/perlmod_Sub_Uplevel.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_SubUplevel/perlmod_Sub_Uplevel.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_SubUplevel/perlmod_Sub_Uplevel.version
===================================================================
--- npl/perl/perlmod_SubUplevel/perlmod_Sub_Uplevel.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_SubUplevel/perlmod_Sub_Uplevel.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.2800
Index: npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.SlackBuild
===================================================================
--- npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.arch
===================================================================
--- npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.build
===================================================================
--- npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.depver
===================================================================
--- npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.md5
===================================================================
--- npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+e8a316a059c1a200d2fc1458ef2c2eb3  ./perlmod_Sub_Identify.pkg
+0fb5f4fcb61317ff8fcf2678bf7bfd0c  ./perlmod_Sub_Identify.SlackBuild
+6595cd43985d90116ddcd087c149583f  ./perlmod_Sub_Identify.SlackBuild.log.gz
+014f19e72698b6a2cbcb54adc9691825  ./Sub-Identify-0.14.tar.gz
Index: npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.version
===================================================================
--- npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Sub_Identify/perlmod_Sub_Identify.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.14
Index: npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.SlackBuild
===================================================================
--- npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.arch
===================================================================
--- npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.build
===================================================================
--- npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.depver
===================================================================
--- npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.md5
===================================================================
--- npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+2f9712aac5bc5144d1cdb6429a275c3e  ./perlmod_Test_Deep.pkg
+0fb5f4fcb61317ff8fcf2678bf7bfd0c  ./perlmod_Test_Deep.SlackBuild
+048b95e8087b6f2af25a8aeecef6ae8c  ./perlmod_Test_Deep.SlackBuild.log.gz
+9bc47147ea720fc01bc6b214afb884ff  ./Test-Deep-1.128.tar.gz
Index: npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.version
===================================================================
--- npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Deep/perlmod_Test_Deep.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1.128
